Subject: Re: [bug#28000] [PATCH] gnu: octave: Build with texinfo.

From: Marius Bakke <[email-masked]>
Date: Wed, 27 Sep 2017 23:14:50 +0200

Arun Isaac <[email-masked]> writes:

> Indeed, I was waiting for a response to this patch, and am seeing your
> reply only now, after almost 2 months! It looks like I'm having trouble
> with my DNS configuration. :-(
>
>
>>> texinfo is required for the built-in documentation.
>>>
>>> * gnu/packages/maths.scm (octave)[inputs]: Add texinfo.
>>> [native-inputs]: Remove texinfo.
>>
>>If I read this right, Octave references texinfo at runtime, so it's
>>moved to inputs for correctness? The commit message is a bit confusing,
>>since it already has texinfo available :-)
>
> Currently, there is a comment above the octave package definition saying
> that users should install texinfo manually in their profile. My patch
> allows the user to not have to do that. This is the meaning I was trying
> to convey with the commit message. What other commit message would you
> suggest?

I think the comment may be referring to some of the command-line
utilities from Texinfo, e.g. for PDF exports.  There are no new
texinfo references in "octave" after this patch:

--8<---------------cut here---------------start------------->8---
$ grep -R /gnu/store/gfsiaw6rn29ii8cpjnix05a7r588k9yv-texinfo-6.3 $(./pre-inst-env guix build octave)
Binary file /gnu/store/pkg54952yx7dgv4cwjiwpfq5l9lyv90y-octave-4.2.1/lib/octave/4.2.1/liboctinterp.so.4.0.0 matches
Binary file /gnu/store/pkg54952yx7dgv4cwjiwpfq5l9lyv90y-octave-4.2.1/lib/octave/4.2.1/liboctinterp.so.4 matches
Binary file /gnu/store/pkg54952yx7dgv4cwjiwpfq5l9lyv90y-octave-4.2.1/lib/octave/4.2.1/liboctinterp.so matches
Binary file /gnu/store/pkg54952yx7dgv4cwjiwpfq5l9lyv90y-octave-4.2.1/bin/mkoctfile matches
Binary file /gnu/store/pkg54952yx7dgv4cwjiwpfq5l9lyv90y-octave-4.2.1/bin/mkoctfile-4.2.1 matches
--8<---------------cut here---------------end--------------->8---

However, native-inputs should not be referenced at all, so the patch
LGTM apart from the comment update.  Or maybe it's simply outdated?

Side note: Why is it referring to a different texinfo than the one from
`guix build texinfo`.